<?php
/*
 * Common langage file - English US (en_US)
 *
 * NOTICE OF LICENSE
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.TXT.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/OSL-3.0
 *
 * DISCLAIMER
 * Do not edit or add to this file if you wish to upgrade Bizuno to newer
 * versions in the future. If you wish to customize Bizuno for your
 * needs please refer to http://www.phreesoft.com for more information.
 *
 * @name       Bizuno ERP
 * @author     Dave Premo, PhreeSoft <support@phreesoft.com>
 * @copyright  2008-2019, PhreeSoft, Inc.
 * @license    http://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * @version    3.x Last Update: 2019-03-19
 * @filesource /local/en_US/language.php
 */

namespace bizuno;

$langCore = [
    'language_title' => 'English (US)',
    // Categories
    'bizuno' => 'Bizuno',
    'extensions' => 'Extensions',
    'interfaces' => 'Interfaces',
    'services' => 'Services',
    // Menus
    'banking' => 'Banking',
    'customers' => 'Customers',
    'bizuno_api' => 'Bizuno API',
    'bizuno_backup' => 'Business Backup',
    'bizuno_company' => 'My Business',
    'bizuno_upgrade' => 'Upgrade Bizuno',
    'dashboards' => 'Dashboards',
    'bizuno_help' => 'Bizuno Help',
    'bizuno_impexp' => 'Import/Export',
    'bizuno_profile' => 'My Profile',
    'quality' => 'Quality',
    'dashboard' => 'Dashboard',
    'employees' => 'Employees',
    'image_manager' => 'Image Manager',
    'inventory' => 'Inventory',
    'general_ledger' => 'General Ledger',
    'mail' => 'Mail Server',
    'phreebooks_manager_bulk' => 'Bill Pay by Date',
    'phreebooks_register' => 'Register',
    'phreebooks_recon' => 'Reconciliation',
    'phreebooks_budget' => 'Budgeting',
    'phreebooks_tools' => 'General Journal Tools',
    'phreeform_manager' => 'Reports/Forms',
    'shipping' => 'Shipping',
    'tbd_manager' => '%s Manager',
    'tbd_prices' => '%s Prices',
    'tbd_bill' => 'Bill %s',
    'tbd_ship' => 'Ship %s',
    'vendors' => 'Vendors',
    // Headings
    'tbd_summary' => '%s Summary',
    'tbd_id' => '%s ID',
    'tbd_history' => '%s History',
    'bizuno_restore' => 'Business Restore',
    'bizuno_encrypt_enable' => 'Enable Encryption',
    'estore' => 'e-Store',
    'open_journal_4' => 'Open Purchase Orders',
    'open_journal_10' => 'Open Sales Orders',
    'validate_address' => 'Validate Address',
    'validate_address_results' => 'Address Validation Results',
    // General
    'account' => 'Account',
    'action' => 'Action',
    'active' => 'Active',
    'actuals' => 'Actuals',
    'add' => 'Add',
    'add_folder' => 'Add Folder',
    'add_update' => 'Add/Update',
    'adjustment' => 'Adjustment',
    'admin'=>'Administrate',
    'align' => 'Align',
    'all' => 'All',
    'all_users' => 'All Users',
    'all_groups' => 'All Groups',
    'all_roles' => 'All Roles',
    'amount' => 'Amount',
    'amount_due' => 'Amount Due',
    'annual_sales' => 'Avg 12 Months',
    'current_sales' => 'Current Sales',
    'last_1month_sales' => 'Last Month',
    'last_3month_sales' => 'Avg 3 Months',
    'last_6month_sales' => 'Avg 6 Months',
    'any' => 'Any',
    'attachment' => 'Attachment',
    'attachments' => 'Attachments',
    'attachment_add' => 'Add Attachment',
    'attributes' => 'Attributes',
    'back' => 'Back',
    'backup' => 'Backup',
    'balance' => 'Balance',
    'bank_check' => 'Bank Checks',
    'bank_deposit' => 'Deposit Slips',
    'bank_register_format' => 'Db/Cr By Journal',
    'bill_to' => 'Bill To',
    'both' => 'Both',
    'browse' => 'Browse',
    'browser' => 'Browser',
    'budget' => 'Budget',
    'buy' => 'Buy',
    'calendar' => 'Calendar',
    'cancel' => 'Cancel',
    'capture' => 'Capture',
    'carrier' => 'Carrier',
    'cash' => 'Cash',
    'caution' => 'Caution',
    'center' => 'Center',
    'centimeters' => 'Centimeters',
    'change' => 'Change',
    'chart' => 'Chart',
    'checked' => 'Checked',
    'clear' => 'Clear',
    'closed' => 'Closed',
    'close' => 'Close',
    'close_date' => 'Date Closed',
    'code' => 'Code',
    'collapse' => 'Collapse',
    'collapse_all' => 'Collapse All',
    'collect' => 'Collect',
    'color' => 'Color',
    'color_codes' => 'Color Codes',
    'common' => 'Common',
    'company' => 'My Business',
    'completed' => 'Completed',
    'confirm' => 'Confirm',
    'confirmed' => 'Confirmed',
    'confirmed_waiting' => 'Confirmed/Waiting',
    'confirmed_unshipped' => 'Confirmed/Unshipped',
    'contacts' => 'Contacts',
    'contains' => 'Contains',
    'contents' => 'Contents',
    'continue' => 'Continue',
    'copy' => 'Copy',
    'copyright' => 'Copyright',
    'cost' => 'Cost',
    'create_date' => 'Date Created',
    'credit_limit' => 'Credit Limit',
    'criteria' => 'Criteria',
    'csv' => 'CSV Format',
    'currencies' => 'Currencies',
    'currency' => 'Currency',
    'currency_long' => 'Currency (Long)',
    'current_image' => 'Current Image',
    'custom' => 'Custom',
    'date' => 'Date',
    'date_range' => 'Date Range',
    'debug' => 'Debug',
    'decreasing' => 'Decreasing',
    'default' => 'Default',
    'delete' => 'Delete',
    'delete_image' => 'Delete Image',
    'delivery' => 'Delivery',
    'delivery_method' => 'Delivery Method',
    'deposit' => 'Deposit',
    'description' => 'Description',
    'details' => 'Details',
    'dim_uom' => 'Dimension unit of measure',
    'discount' => 'Discount',
    'document' => 'Document',
    'download' => 'Download',
    'edit' => 'Edit',
    'email' => 'Email',
    'email_body' => 'Body',
    'email_cc' => 'CC',
    'email_subject' => 'Subject',
    'encrypt_disabled' => 'Encryption Disabled',
    'encrypt_enabled' => 'Encryption Enabled',
    'end' => 'End',
    'equal' => 'Equal',
    'error' => 'Error',
    'exc_rate' => 'Exchange Rate',
    'exception' => 'Exception',
    'expand' => 'Expand',
    'expand_all' => 'Expand All',
    'export' => 'Export',
    'export_csv' => 'Export CSV',
    'export_zip' => 'Export ZIP',
    'extra_fields' => 'Extra Fields',
    'extra_tabs' => 'Extra Tabs',
    'feet' => 'Feet',
    'field' => 'Field',
    'fieldname' => 'Field Name',
    'filename' => 'File Name',
    'files' => 'Files',
    'filters' => 'Filters',
    'finish' => 'Finish',
    'finished' => 'Finished',
    'fiscal_calendar' => 'Fiscal Calendar',
    'folder' => 'Folder',
    'font' => 'Font',
    'format' => 'Format',
    'forms' => 'Forms',
    'from' => 'From',
    'full' => 'Full',
    'general' => 'General',
    'gl_account' => 'GL Account',
    'gl_acct_active' => 'GL Account Status',
    'gl_acct_title' => 'GL Account Title',
    'go' => 'Go',
    'greater_than' => 'Greater Than',
    'group_list' => 'Grouping List',
    'groups' => 'Groups',
    'heading' => 'Heading',
    'help' => 'Help',
    'height' => 'Height',
    'hide_future' => 'Hide Future Entries',
    'hint' => 'Hint',
    'history' => 'History',
    'home' => 'Home',
    'html' => 'HTML Format',
    'id' => 'Record ID',
    'image' => 'Image',
    'insert' => 'Insert',
    'inches' => 'Inches',
    'increasing' => 'Increasing',
    'index' => 'Index',
    'import' => 'Import',
    'inactive' => 'Inactive',
    'information' => 'Information',
    'install' => 'Install',
    'kilograms' => 'Kilograms',
    'label' => 'Label',
    'language' => 'Language',
    'last_30_days' => 'Last 30 Days',
    'last_60_days' => 'Last 60 Days',
    'last_90_days' => 'Last 90 Days',
    'last_update'=> 'Last Update',
    'left' => 'Left',
    'length' => 'Length',
    'less_than' => 'Less Than',
    'letter' => 'Letter',
    'lines' => 'Lines',
    'locale' =>'Locale',
    'locked' => 'Locked',
    'login' => 'Login',
    'logout' => 'Sign Off',
    'ltl_class' => 'LTL Class',
    'manager' => 'Manager',
    'margin' => 'Margin',
    'max' => 'Max',
    'maximum' => 'Maximum',
    'max_upload' => '(Maximum Filesize: %s Mbytes)',
    'menu_pos' => 'Menu Position',
    'merge' => 'Merge',
    'message'=>'Message',
    'messages'=>'Messages',
    'meters' => 'Meters',
    'method' => 'Method',
    'millimeters' => 'Millimeters',
    'min' => 'Min',
    'minimum' => 'Minimum',
    'misc' => 'Miscellaneous',
    'mm' => 'mm',
    'module' => 'Module',
    'modules' => 'Modules',
    'move' => 'Move',
    'move_to' => 'Move To ...',
    'my_documents' => 'My Documents',
    'my_phreesoft_account' => 'My PhreeSoft.com Account',
    'new' => 'New',
    'next' => 'Next',
    'next_ref' => 'Next Reference: %s',
    'no' => 'No',
    'no_image' => 'No Image Found!',
    'no_results' => 'No Results Found!',
    'none' => 'None',
    'not_equal' => 'Not Equal',
    'not_specified' => 'Not Specified',
    'note' => 'Note',
    'notes' => 'Notes',
    'notifications' => 'Notifications',
    'numeric' => 'Numeric',
    'of' => 'of',
    'ok' => 'OK',
    'open' => 'Open',
    'operator' => 'Operator',
    'optional' => 'Optional',
    'options' => 'Options',
    'order' => 'Display Order',
    'other' => 'Other',
    'owner' => 'Owner',
    'paid' => 'Paid',
    'page' => 'Page',
    'pay_to' => 'Pay To',
    'payment' => 'Payment',
    'payment_discount' => 'Payment Discount',
    'payment_due' => 'Payment Amount Due',
    'payment_due_date' => 'Payment Due Date',
    'payment_received' => 'Payment Received',
    'payment_reference' => 'Payment Reference',
    'password' => 'Password',
    'password_lost' => 'Forgot Password?',
    'password_new' => 'New Password',
    'password_confirm' => 'Confirm Password',
    'pdf' => 'PDF Format',
    'per_contact' => 'Per Contact',
    'per_inventory' => 'Per Inventory Item',
    'percent' => 'Percent',
    'period' => 'Period',
    'physical' => 'Physical',
    'please_wait' => 'Please Wait ...',
    'post_date' => 'Post Date',
    'pounds' => 'Pounds',
    'precision' => 'Precision',
    'prefix' => 'Prefix',
    'preview' => 'Preview',
    'price' => 'Price',
    'prices' => 'Prices',
    'print' => 'Print',
    'printed' => 'Printed',
    'priority' => 'Priority',
    'production' => 'Production',
    'properties' => 'Properties',
    'profile' => 'Profile',
    'qty' => 'Qty',
    'qty_needed' => 'Qty Needed',
    'quantity' => 'Quantity',
    'range' => 'Range',
    'reason' => 'Reason',
    'readonly' => 'Read Only',
    'received' => 'Received',
    'recipient' => 'Recipient',
    'reconciled' => 'Reconciled',
    'recur' => 'Recur',
    'recur_new' => 'Create Recurring Entry',
    'reference' => 'Reference',
    'refresh' => 'Refresh',
    'relationship' => 'Relationship',
    'remaining' => 'Remaining',
    'remove' => 'Remove',
    'rename' => 'Rename',
    'reports' => 'Reports',
    'reset' => 'Reset',
    'restart' => 'Restart',
    'restore' => 'Restore',
    'returned' => 'Returned',
    'revision'=>'Revision',
    'right' => 'Right',
    'roles' => 'Roles',
    'rounding' => 'Rounding',
    'sales' => 'Sales',
    'sales_discounts' => 'Sales Discounts',
    'sales_receipt' => 'Sales Receipts',
    'save' => 'Save',
    'save_as' => 'Save as ...',
    'save_fill' => 'Save and Fill Order',
    'save_print' => 'Save and Print',
    'save_payment' => 'Save and Payment',
    'search' => 'Search',
    'security' => 'Security',
    'select' => 'Select',
    'select_all' => 'Select All',
    'select_file' => 'Select file to attach',
    'select_language' => 'Select Language',
    'send' => 'Send',
    'sender' => 'Sender',
    'separator' => 'Separator',
    'settings' => 'Settings',
    'ship' => 'Ship',
    'ship_date' => 'Ship Date',
    'shipping_estimator' => 'Shipping Estimator',
    'shipped' => 'Shipped',
    'shipped_balance' => 'Order Balance',
    'shipped_balance_value' => 'Order Bal Value',
    'shipped_prior' => 'Shipped Prior',
    'show' => 'Show',
    'size' => 'Size',
    'sku' => 'SKU',
    'sort_order' => 'Sort Order',
    'source' => 'Source',
    'source_fields' => 'Source Fields',
    'spreadsheet' => 'Spreadsheet',
    'start' => 'Start',
    'statement' => 'Statement',
    'statistics' => 'Statistics',
    'status' => 'Status',
    'step' => 'Step',
    'stores' => 'Stores',
    'style' => 'Style',
    'submit' => 'Submit',
    'subtotal' => 'SubTotal',
    'subject' => 'Subject',
    'success' => 'Success',
    'suffix' => 'Suffix',
    'summary' => 'Summary',
    'support' => 'Support Ticket',
    'table' => 'Table',
    'telephone' => 'Telephone',
    'terms' => 'Payment Terms',
    'test' => 'Test',
    'text' => 'Text',
    'theme' => 'Theme',
    'time' => 'Time',
    'title' => 'Title',
    'to' => 'To',
    'today' => 'Today',
    'toggle_status' => 'Toggle Status',
    'tools' => 'Tools',
    'top' => 'Top',
    'total' => 'Total',
    'totals' => 'Totals',
    'trash' => 'Trash',
    'type' => 'Type',
    'unchecked' => 'Unchecked',
    'unconfirmed' => 'Unconfirmed',
    'unpaid' => 'Unpaid',
    'unprinted' => 'Unprinted',
    'unshipped' => 'Unshipped',
    'up' => 'Up',
    'update' => 'Update',
    'upload' => 'Upload',
    'username' => 'Username',
    'url' => 'URL',
    'user_login' => 'User Login',
    'users' => 'Users',
    'value' => 'Value',
    'version' => 'Version',
    'view' => 'View',
    'weight' => 'Weight',
    'width' => 'Width',
    'withdrawal' => 'Withdrawal',
    'wizard' => 'Wizard',
    'xml' => 'XML Format',
    'yes' => 'Yes',
    'zipped' => 'Compressed File',
    // descriptions
    'desc_new_price_sheets' => 'Select a method to use for the new price sheet and press Next to get started.',
    'just_reps' => 'Only show results for logged in rep, admins with edit access will see all results.',
    'limit_results' => 'Limit Results (0 for No Limit)',
    // Error Messages
    'error_duplicate_id' => 'The new ID cannot be created because that ID is already in use.',
    'error_invalid_email' => 'Email address: %s is invalid, please correct and try again.',
    'err_bad_id' => 'The database record ID is missing, Bizuno cannot process this request! Please submit a support ticket with the details of this request so we can look into the problem.',
    'err_bad_sql' => 'SQL error! This is a code problem and needs to be addressed. Please submit a support ticket with the details that lead up to this error.',
    'err_cc_num_invalid' => 'The credit card number is invalid! Please check the number entered and try again.',
    'err_cc_amount_too_big' => 'The amount cannot be greater than the original charge!',
    'err_cc_amount_negative' => 'The amount must be greater than zero!',
    'err_cc_no_transaction_id' => 'No transaction present or refunds not allow through the gateway, Bizuno has deleted the transction but the refund must be processed directly at the merchant website to complete the credit of the charge.',
    'err_cc_num_no_contact_id' => 'No contact ID was passed! The credit card information was not saved!',
    'err_cc_expired' => 'The credit card expiration date is invalid!',
    'err_database_write' => 'The database action was not successful, see messages above!',
    'err_no_data' => 'There is no data present!',
    'err_no_permission' => 'You do not have permission to alter this information!',
    'err_no_communication' => 'There was an error communicating with %s server. Details:',
    'err_io_file_open' => 'Cannot open file (%s)',
    'err_io_file_write' => 'Cannot write file (%s)',
    'err_io_no_zip_class' => 'The PHP ZipArchive library cannot be found, this feature is not available.',
    'err_io_dir_create' => 'Error creating folder: %s. Check your permissions!',
    'err_io_dir_remove' => 'Error removing folder: %s. The folder may not exist or may not be empty! It must be removed by hand.',
    'err_io_download_empty' => 'There was no content to download!',
    'err_calendar_format' => 'A submitted date format was in error, please check all your dates! Received: %s. (Date Format: %s). Today\'s date was used.',
    'err_login_failed' => 'The information you entered cannot be validated, please retry.',
    'err_password_mismatch' => 'The two passwords you entered do not match. Please correct them and resubmit your request.',
    'err_password_short' => 'Your password is too short, it must be 8 characters or more!',
    'err_encrypt_key_missing' => 'The Encryption key has not been entered. Your encrypted information cannot be processed!',
    'err_encrypt_failed' => 'Validation failed! The new Encryption key passwords do not match or the length is too short!',
    'err_copy_name_prompt' => 'The action was not completed, the proper id and/or title was not passed!',
    'err_gl_post_balance' => 'Error posting chart of account balances. Amount: %s to GL Account: %s',
    'err_gl_out_of_balance' => 'Trial balance is out of balance, this can usually be fixed by re-posting the transaction. If your balance is not zero, you should validate and repair your gl balances in My Business -> Settings -> Bizuno tab -> PhreeBooks Settings icon -> Journal Tools tab. Balance = %s (Should be zero) and Debits = %s and credits = %s in period %s',
    'err_gl_bad_post_date' => 'This transaction cannot be posted because the reference transaction has a post date after this one.',
    'err_gl_inv_status_no_sku' => 'Updating inventory status requires the sku to be in the database. The failing SKU was: ',
    'err_gl_cogs_calculation' => 'Calculating the cost of goods sold requires the sku to be in the database, the operation failed.',
    'err_gl_inv_history' => 'Error posting inventory history.',
    'err_gl_inv_negative' => 'This entry cannot be posted because it would make your inventory go negative. Inventory using average costing and/or your settings do not allow inventory to go negative!',
    'err_gl_invalid_sku' => 'The sku entered could not be found. No action was taken.',
    'err_gl_invalid_sku_bom' => 'Cannot assemble an inventory item that has no components. SKU: ',
    'err_gl_inv_low_stock' => 'Not enough parts to build the requested number of assemblies. SKU: ',
    'err_gl_inv_serial_qty' => 'Error calculating COGS for a serialized item, the quantity was not equal to 1 per line item submitted.',
    'err_gl_inv_serial_no_value' => 'Error calculating COGS for a serialized item, the serial number entered was blank.',
    'err_gl_inv_serial_cogs' => 'COGS Error. Either did not find serial number or more than one item with matching serial numbers were found.',
    'err_gl_no_retained_earnings_acct' => 'Zero or more than one retained earnings accounts found. There needs to be one and only one retained earnings account in PhreeBooks to operate properly!',
    'err_gl_invoice_num_dup' => 'The %s (%s) you entered is a duplicate, please enter a new unique value!',
    'err_gl_invoice_num_empty' => 'Either Waiting for Invoice needs to be checked or an invoice number needs to be entered.',
    'err_gl_post_date_invalid' => 'The post date entered (%s) is not within the allowed fiscal years. You may need to add a new fiscal year (My Business -> Bizuno tab -> PhreeBooks Accounting settings -> Fiscal Calendar tab -> Generate the Next Fiscal Year button).',
    'err_phreeform_import' => 'There was an error importing the report(s). Either a report was not selected from the list or no file was uploaded!',
    'err_phreeform_title_dup' => 'Report (%s) already exists in PhreeForm. Please enter a new title, check the Replace box or remove the original report before importing this one.',
    // Messages
    'msg_edit_new' => 'Press New on the manager or double click a row to edit a record.',
    'msg_settings_saved' => 'Settings Saved!',
    'msg_record_saved' => 'The entry was successfully saved!',
    'msg_database_write' => 'The database action was completed successfully!',
    'msg_email_sent' => 'The email was sent succesfully to %s!',
    'msg_enter_encrypt_key' => 'Please enter the encryption key and press the Save icon',
    'msg_entry_copy' => 'Enter a title for copied entry',
    'msg_entry_rename' => 'Enter a New Title',
    'msg_confirm_delete' => 'Are you sure you want to delete this entry?',
    'msg_io_upload_select' => 'Select file to upload (.sql or .zip)',
    'msg_copy_name_prompt' => 'Please enter a new name to copy to?',
    'msg_leave_null_to_assign_ref' => 'Leave blank for auto-assign.',
    'msg_period_changed' => 'The accounting period has been changed to %s',
    'msg_gl_post_success' => 'The journal entry was successfully posted - %s %s',
    'msg_gl_post_date_out_of_period' => 'The transaction post date is not within the current period!',
    'msg_new_folder_name' => 'Enter the New Folder Name',
    'msg_no_documents' => 'No Documents Found!',
    'msg_no_settings' => 'There are no settings available!',
    'msg_capture_payment' => 'Capture authorized amount of: %s',
    'msg_method_delete_confirm' => 'Are you sure you want to remove this method? WARNING: This will erase all files and database entries!',
    // Tips
    'tip_right_click_for_options' => 'Right click on element for more options',
    /***************************************************************************************************************/
    // Misc
    /***************************************************************************************************************/
    // Contacts Terms
    'contacts_terms_custom' => 'Special Terms',
    'contacts_terms_default' => 'Use Default Terms',
    'contacts_terms_cod' => 'Cash On Delivery',
    'contacts_terms_prepaid' => 'Prepaid',
    'contacts_terms_eom' => 'Due End of Month',
    'contacts_terms_dom' => 'Due on Specified Date',
    'contacts_terms_now' => 'Due Upon Receipt',
    'contacts_terms_credit_limit' => 'Credit Limit',
    'contacts_terms_discount' => 'Discount %s percent due in %s day(s).',
    'contacts_terms_net' => 'Net %s day(s).',
    'contacts_terms_discount_short' =>'%s%% %s,',
    'contacts_terms_net_short'=> 'Net %s',
    'contacts_terms_date' => 'Due by %s',
    // Inventory
    'inventory_assy_cost'    => 'Current Assembly Cost',
    'inventory_where_used'   => 'Where Used',
    'inventory_current_codes'=> 'Current Codes',
    'direct_entry' => 'Direct Entry',
    'price_level_1' => 'Price Level 1',
    'decrease_by_amount' => 'Decrease by Amount',
    'decrease_by_percent'=> 'Decrease by Percent',
    'increase_by_amount' => 'Increase by Amount',
    'increase_by_percent'=> 'Increase by Percent',
    'next_integer'  => 'Next Integer',
    'next_fraction' => 'Next Fraction',
    'next_increment'=> 'Next Increment',
    // Payment General
    'default_gl_account' => 'Default GL Account',
    'payment_new' => 'Add a New Credit Card',
    'payment_method' => 'Payment Method',
    'payment_methods' => 'Payment Methods',
    'payment_methods_all' => 'Available Payment Methods',
    'payment_name' => 'Name on Card',
    'payment_number' => 'Card Number',
    'payment_expiration' => 'Expiration Date',
    'payment_cvv' => 'Security Code',
    'payment_stored_cards' => 'Stored Cards',
    // PhreeBooks General
    'gl_acct_type'    => 'GL Account Type',
    'gl_acct_type_0'  => 'Cash',
    'gl_acct_type_2'  => 'Accounts Receivable',
    'gl_acct_type_4'  => 'Inventory',
    'gl_acct_type_6'  => 'Other Current Assets',
    'gl_acct_type_8'  => 'Fixed Assets',
    'gl_acct_type_10' => 'Accumulated Depreciation',
    'gl_acct_type_12' => 'Other Assets',
    'gl_acct_type_20' => 'Accounts Payable',
    'gl_acct_type_22' => 'Other Current Liabilities',
    'gl_acct_type_24' => 'Long Term Liabilities',
    'gl_acct_type_30' => 'Income/Sales',
    'gl_acct_type_32' => 'Cost of Sales',
    'gl_acct_type_34' => 'Expenses',
    'gl_acct_type_40' => 'Equity - Does Not Close',
    'gl_acct_type_42' => 'Equity - Gets Closed',
    'gl_acct_type_44' => 'Equity - Retained Earnings',
    'beginning_balance' => 'Beginning Balance',
    'inventory_cogs' => 'Cost of Goods Sold',
    'ending_balance' => 'Ending Balance',
    'beginning_balances' => 'Beginning Balances',
    'bb_journal' => 'Beginning Journal',
    'gross_profit' => 'Gross Profit',
    'net_income' => 'Net Income',
    'assets' => 'Assets',
    'current_assets' => 'Current Assets',
    'property_equipment' => 'Property/Equipment',
    'current_liabilities' => 'Current Liabilities',
    'liabilities' => 'Liabilities',
    'capital' => 'Capital',
    'liabilities_capital' => 'Total Liabilities & Capital',
    'phreebooks_chart_of_accts' => 'Chart of Accounts',
    'phreebooks_fiscal_year' => 'Fiscal Year',
    'phreebooks_import_journal_title' => 'Import Journal Entries',
    'phreebooks_pmt_desc_short' => 'Inv# %s PO# %s',
    'qty_to_assemble' => 'Qty to Assemble',
    'qty_required' => 'Qty Required',
    'total_credits' => 'Credits',
    'total_debits' => 'Debits',
    'cleared_this_period' => 'Entries Cleared (Info Only)',
    'oustanding_total' => 'Outstanding Total',
    'gl_balance' => 'General Ledger Balance',
    'statement_balance' => 'Statement Balance',
    'unrecon_total' => 'Unreconciled Amount',
    // Shipping
    'drop_ship' => 'Drop Ship',
    'num_boxes' => '# of Boxes',
    'residential_address' => 'Residential',
    'ship_from' => 'Ship From',
    'ship_to' => 'Ship To',
    'list_price' => 'List Price',
    'rate_quote' => 'Rate Quote',
    'get_rate_quotes' => 'Get Rate Quotes',
    'shipping_verify_add' => 'Verify Address',
    'ship_bill_to' => 'Bill Charges To',
    'ship_bill_acct_num' => 'Payor Account Number',
    // Date ranges
    'dates_this_week' => 'This Week',
    'dates_wtd' => 'Week To Date',
    'dates_weekly' => 'Weekly',
    'dates_bi_weekly' => 'Bi-Weekly',
    'dates_month' => 'This Month',
    'dates_mtd' => 'Month To Date',
    'dates_monthly' => 'Monthly',
    'dates_quarter' => 'This Quarter',
    'dates_qtd' => 'Quarter To Date',
    'dates_quarterly' => 'Quarterly',
    'dates_this_year' => 'This Year',
    'dates_ytd' => 'Year To Date',
    'dates_lfy' => 'Last Fiscal Year',
    'dates_lfytd' => 'Last FY To Date',
    'dates_this_period' => 'Current Period',
    'month_01' => 'Jan',
    'month_02' => 'Feb',
    'month_03' => 'Mar',
    'month_04' => 'Apr',
    'month_05' => 'May',
    'month_06' => 'Jun',
    'month_07' => 'Jul',
    'month_08' => 'Aug',
    'month_09' => 'Sep',
    'month_10' => 'Oct',
    'month_11' => 'Nov',
    'month_12' => 'Dec',
    'year' => 'Year',
    'month' => 'Month',
    'num_of_num' => '(showing %s of %s)',
    'phreeform_email_body' => 'Attached is your %s from %s<br /><br />To view the attachment, you must have pdf reader software installed on your computer.',
    'search_open_journal' => 'Enter the %s to search for open records:',
    'phreeform_output_none' => 'There was not any data in this report based on the criteria provided!',
    /**************************************  Tables  **********************************************************/
    'address_book' => 'Address Book', // Table address_book
    'address_book_address_id' => 'Address Record ID',
    'address_book_ref_id' => 'Contact Record Link',
    'address_book_type' => 'Contact Address',
    'address_book_type_b' => 'Billing Address',
    'address_book_type_m' => 'Main Address',
    'address_book_type_s' => 'Shipping Address',
    'address_book_primary_name' => 'Name/Business',
    'address_book_contact' => 'Attn',
    'address_book_contact_m' => 'Attn: General Contact',
    'address_book_contact_p' => 'Attn: Accts Payable',
    'address_book_contact_r' => 'Attn: Accts Receivable',
    'address_book_address1' => 'Address 1',
    'address_book_address2' => 'Address 2',
    'address_book_city' => 'City',
    'address_book_state' => 'State',
    'address_book_postal_code' => 'Postal Code',
    'address_book_country' => 'Country',
    'address_book_telephone2' => 'Alt Telephone',
    'address_book_telephone3' => 'Fax',
    'address_book_telephone4' => 'Mobile',
    'address_book_email_m' => 'Email: General Mailbox',
    'address_book_email_p' => 'Email: Accounts Payable',
    'address_book_email_r' => 'Email: Accounts Receivable',
    'address_book_website' => 'Website',
    'contacts_type' => 'Contact Type', // Table contacts
    'contacts_type_b' => 'Store', // need singular for viewFormat type mapping
    'contacts_type_c' => 'Customer',
    'contacts_type_e' => 'Employee',
    'contacts_type_i' => 'CRM',
    'contacts_type_j' => 'Project',
    'contacts_type_v' => 'Vendor',
    'contacts_short_name' => 'Contact ID',
    'contacts_short_name_b' => 'Store ID',
    'contacts_short_name_c' => 'Customer ID',
    'contacts_short_name_v' => 'Vendor ID',
    'contacts_contact_first' => 'First Name',
    'contacts_flex_field_1' => 'Title',
    'contacts_flex_field_1_e' => 'Middle Name',
    'contacts_contact_last' => 'Last Name',
    'contacts_crm_history' => 'CRM Log',
    'contacts_store_id' => 'Store ID',
    'contacts_gov_id_number' => 'Gov ID Number',
    'contacts_rep_id' => 'Default Rep',
    'contacts_rep_id_c' => 'Sales Rep',
    'contacts_rep_id_i' => 'Link to Contact',
    'contacts_rep_id_v' => 'Buyer',
    'contacts_account_number' => 'Account Number',
    'contacts_price_sheet' => 'Price Sheet',
    'contacts_tax_rate_id' => 'Tax Rate',
    'contacts_first_date' => 'Creation Date',
    'contacts_last_date_1' => 'Date 1',
    'contacts_last_date_2' => 'Date 2',
    'contacts_log' =>'Contacts Log', // Table contacts_log
    'contacts_log_contact_id' =>'Contact Reference ID',
    'contacts_log_entered_by' =>'Entered By',
    'contacts_log_log_date' =>'Entry Date',
    'inventory_assy_list' => 'Bill of Materials', // Table table_inventory_assy_list
    'inventory_inventory_type' => 'Inventory Type', // Table inventory
    'inventory_inventory_type_si' => 'Stock',
    'inventory_inventory_type_sr' => 'Serialized',
    'inventory_inventory_type_ms' => 'Master Stock',
    'inventory_inventory_type_ma' => 'Assembly',
    'inventory_inventory_type_sa' => 'Serialized Assembly',
    'inventory_inventory_type_ns' => 'Non-stock',
    'inventory_inventory_type_lb' => 'Labor',
    'inventory_inventory_type_sv' => 'Service',
    'inventory_inventory_type_sf' => 'Flat Rate - Service',
    'inventory_inventory_type_ci' => 'Charge',
    'inventory_inventory_type_ai' => 'Activity',
    'inventory_inventory_type_ds' => 'Description',
    'inventory_inventory_type_ia' => 'Assembly Part',
    'inventory_inventory_type_mi' => 'Master Stock Sub Item',
    'inventory_description_short' => 'Product Title',
    'inventory_description_short_tip' => 'This feild contains a short title and used in web titles.',
    'inventory_description_purchase' => 'Purchase Details',
    'inventory_description_purchase_tip' => 'Information need by venders to purchase item.',
    'inventory_description_sales' => 'Sales Description',
    'inventory_description_sales_tip' => 'Useful customer information and used in web cart description.',
    'inventory_image_with_path' => 'Image (with path)',
    'inventory_gl_sales' => 'GL Sales Acct',
    'inventory_gl_inv' => 'GL Inv Acct',
    'inventory_gl_cogs' => 'GL COGS Acct',
    'inventory_tax_rate_id_c' => 'Sales Tax',
    'inventory_tax_rate_id_v' => 'Purchase Tax',
    'inventory_item_cost' => 'Item Cost',
    'inventory_cost_method' => 'Costing Method',
    'inventory_cost_method_a' => 'Average',
    'inventory_cost_method_f' => 'FIFO',
    'inventory_cost_method_l' => 'LIFO',
    'inventory_price_sheet_c' => 'Default Sales Price Sheet',
    'inventory_price_sheet_v' => 'Default Purchase Price Sheet',
    'inventory_full_price' => 'Retail Price',
    'inventory_item_weight' => 'Weight',
    'inventory_qty_stock' => 'Qty on Hand',
    'inventory_qty_store' => 'Qty this Store',
    'inventory_qty_po' => 'Qty on PO',
    'inventory_qty_so' => 'Qty on SO',
    'inventory_qty_alloc' => 'Qty Allocated',
    'inventory_qty_min' => 'Min Stock Level',
    'inventory_qty_restock' => 'Reorder Qty',
    'inventory_vendor_id' => 'Preferred Vendor',
    'inventory_lead_time' => 'Lead Time',
    'inventory_upc_code' => 'UPC Code',
    'inventory_serialize' => 'Serialized Item',
    'inventory_creation_date' => 'Creation Date',
    'inventory_last_journal_date' => 'Last Journal Date',
    'inventory_prices' => 'Price Sheets', // Table inventory_prices
    'inventory_prices_method' => 'Price Sheet Methods',
    'journal_item_item_cnt' => 'Item Count', // Table journal_item
    'journal_item_ref_id' => 'Main Record ID',
    'journal_item_item_ref_id' => 'SO/PO Item Ref ID',
    'journal_item_qty_15' => 'Transfer Qty',
    'journal_item_qty_16' => 'Adjust Qty',
    'journal_item_gl_type' => 'GL Type',
    'journal_item_reconciled' => 'Reconciled',
    'journal_item_debit_amount' => 'Debit Amount',
    'journal_item_credit_amount' => 'Credit Amount',
    'journal_item_tax_rate_id' => 'Tax Rate ID',
    'journal_item_full_price' => 'Full Price',
    'journal_item_serialize' => 'Serialize',
    'journal_item_trans_code' => 'Trans/Serial Code',
    'journal_item_date_1' => 'Due Date',
    'journal_main_journal_id' => 'Journal Name', // Table journal_main
    'journal_main_journal_id_0' => 'Search Journal',
    'journal_main_journal_id_2' => 'General Journal',
    'journal_main_journal_id_3' => 'Request For Quote',
    'journal_main_journal_id_4' => 'Purchase Order',
    'journal_main_journal_id_6' => 'Purchase',
    'journal_main_journal_id_7' => 'Vendor Credit',
    'journal_main_journal_id_9' => 'Sales Quote',
    'journal_main_journal_id_10' => 'Sales Order',
    'journal_main_journal_id_12' => 'Sale',
    'journal_main_journal_id_13' => 'Credit Memo',
    'journal_main_journal_id_14' => 'Assembly',
    'journal_main_journal_id_15' => 'Inventory Store Transfers',
    'journal_main_journal_id_16' => 'Adjustment',
    'journal_main_journal_id_17' => 'Vendor Refund',
    'journal_main_journal_id_18' => 'Cash Receipt',
    'journal_main_journal_id_19' => 'Point Of Sale',
    'journal_main_journal_id_20' => 'Pay Bills',
    'journal_main_journal_id_21' => 'Point Of Purchase',
    'journal_main_journal_id_22' => 'Customer Refund',
    'journal_main_post_date_12' => 'Invoice Date',
    'journal_main_post_date_18' => 'Deposit Date',
    'journal_main_post_date_20' => 'Payment Date',
    'journal_main_closed_date' => 'Closed Date',
    'journal_main_so_po_ref_id_15' =>'Source Store',
    'journal_main_store_id_15' =>'Destination Store',
    'journal_main_tax_rate_id' => 'Tax Rate ID',
    'journal_main_total_amount' => 'Total Amount',
    'journal_main_currency_rate' => 'Exchange Rate',
    'journal_main_so_po_ref_id' => 'SO/PO Record ID',
    'journal_main_invoice_num' => 'Reference',
    'journal_main_invoice_num_2' => 'Reference #',
    'journal_main_invoice_num_3' => 'RFQ #',
    'journal_main_invoice_num_4' => 'PO #',
    'journal_main_invoice_num_6' => 'Invoice #',
    'journal_main_invoice_num_7' => 'Credit Memo #',
    'journal_main_invoice_num_9' => 'Quote #',
    'journal_main_invoice_num_10' => 'Sales Order #',
    'journal_main_invoice_num_13' => 'Credit Memo #',
    'journal_main_invoice_num_17' => 'Deposit Ref',
    'journal_main_invoice_num_20' => 'Payment Ref',
    'journal_main_purch_order_id' => 'PO Reference',
    'journal_main_recur_id' => 'Recur ID',
    'journal_main_admin_id' => 'User ID',
    'journal_main_rep_id' => 'Rep ID',
    'journal_main_sales_tax' => 'Tax Amount',
    'journal_main_waiting' => 'Waiting',
    'journal_main_terminal_date' => 'Due Date',
    'journal_main_terminal_date_3' => 'Expiration Date',
    'journal_main_contact_id_b' => 'Bill Contact Record ID',
    'journal_main_address_id_b' => 'Bill Address Record ID',
    'journal_main_primary_name_b' => 'Bill Contact Name',
    'journal_main_freight' => 'Freight Amount',
    'journal_main_method_code' => 'Method Code',
    'journal_main_drop_ship' => 'Drop Ship',
    'journal_main_contact_id_s' => 'Ship Contact Record ID',
    'journal_main_address_id_s' => 'Ship Address Record ID',
    'journal_main_primary_name_s' => 'Ship Contact Name',
    'phreeform_parent_id' => 'Parent ID', // Table phreeform
    'phreeform_mime_type' => 'Report Type',
    'phreeform_mime_type_rpt' => 'Report',
    'phreeform_mime_type_frm' => 'Form',
    'phreeform_doc_data' => 'XML Report',
    'tax_rates' => 'Tax Rates', // Table tax_rates
    'tax_rates_title' => 'Tax Title',
    'tax_rates_tax_rate' => 'Tax Rate (%)',
    'tax_rates_start_date' => 'Effective Date',
    'tax_rates_end_date' => 'Expiration Date',
    'users_role_id' => 'Role', // Table users
    ];
